/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MyDelegate.as 9583 2012-01-11 11:48:56Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.business {

import mx.collections.ArrayCollection;
import mx.controls.Alert;

import org.ow2.kerneos.common.business.AbsDelegateResponder;
import org.ow2.jasmine.monitoring.eos.monitoring.vo.ConfigFile;

/**
 * @author Philippe Durieux
 */
public class MyDelegate extends AbsDelegateResponder {
    private var service:Object = null;

    public function MyDelegate() {
        super();
        // Get the Service: See id in server resources/META-INF/kerneos-module.xml
        service = Monitoring.getInstance().getServices().getRemoteObject("monitoringService");
        if (service == null) {
            Alert.show("Cannot get monitoringService", "ERROR");
        }
    }

    public function getReplayFilenames(filter:String, file:String):void {
        var call:Object = service.getReplayFilenames(filter, file);
        call.addResponder(this.responder);
    }

    public function getConfigFiles():void {
        var call:Object = service.getConfigFiles();
        call.addResponder(this.responder);
    }

    public function loadConfigFile(file:String):void {
        var call:Object = service.loadConfigFile(file);
        call.addResponder(this.responder);
    }

    public function saveConfigFile(name:String, file:String):void {
        var call:Object = service.saveConfigFile(name, file);
        call.addResponder(this.responder);
    }

    public function removeConfigFile(file:ConfigFile):void {
        var call:Object = service.removeConfigFile(file);
        call.addResponder(this.responder);
    }

    public function renameConfigFile(file:ConfigFile, name:String):void {
        var call:Object = service.renameConfigFile(file, name);
        call.addResponder(this.responder);
    }

    public function createDashboard(series:ArrayCollection, notifs:ArrayCollection):void {
        var call:Object = service.createDashboard(series, notifs.length > 0);
        call.addResponder(this.responder);
    }

    public function removeDashboard(ident:int):void {
        var call:Object = service.removeDashboard(ident);
        call.addResponder(this.responder);
    }

    public function startMonitoring(ident:int):void {
        var call:Object = service.startMonitoring(ident);
        call.addResponder(this.responder);
    }

    public function stopMonitoring(ident:int):void {
        var call:Object = service.stopMonitoring(ident);
        call.addResponder(this.responder);
    }

    public function startFileReplay(did:int, file:String, from:Date, to:Date):void {
        var call:Object = service.startFileReplay(did, file, from, to);
        call.addResponder(this.responder);
    }

    public function startDatabaseReplay(did:int, from:Date, to:Date):void {
        var call:Object = service.startDatabaseReplay(did, from, to);
        call.addResponder(this.responder);
    }

    public function getDatabaseLimits(did:int):void {
        var call:Object = service.getDatabaseLimits(did);
        call.addResponder(this.responder);
    }

    public function getAllResults(did:int):void {
        var call:Object = service.getAllResults(did);
        call.addResponder(this.responder);
    }

    public function getAllNotifs(did:int):void {
        var call:Object = service.getAllNotifs(did);
        call.addResponder(this.responder);
    }

}
}
