/**
 * JASMINe
 * Copyright (C) 2011 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetLiveResultCommand.as 9121 2011-10-10 12:38:53Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.command {
import com.adobe.cairngorm.commands.ICommand;
import com.adobe.cairngorm.control.CairngormEvent;

import mx.collections.ArrayCollection;
import mx.controls.Alert;
import mx.rpc.IResponder;
import mx.rpc.events.FaultEvent;
import mx.rpc.events.ResultEvent;

import org.ow2.jasmine.monitoring.eos.monitoring.event.MonitoringEvent;
import org.ow2.jasmine.monitoring.eos.monitoring.model.MonitoringModelLocator;

/**
 * @author durieuxp
 */
public class GetNotifsCommand implements ICommand, IResponder {
    private var model:MonitoringModelLocator = Monitoring.getInstance().getModel();

    private var did:int;

    public function GetNotifsCommand():void {
    }

    /**
     * Send the event to the java side, using the business layer of the pattern
     */
    public function execute(event:CairngormEvent):void {
        model.getDelegate().responder = this;
        var ev:MonitoringEvent = event as MonitoringEvent;
        this.did = ev.ident;
        model.getDelegate().getAllNotifs(did);
    }

    /**
     * Get the notifications from the java side.
     */
    public function result(event:Object):void {
        var notifs:ArrayCollection = (event as ResultEvent).result as ArrayCollection;
        model.dbIdent = did;
        model.notifs = notifs;
    }

    /**
     * Handle fault messages
     */
    public function fault(event:Object):void {
        var faultEvent:FaultEvent = FaultEvent(event);
        model.onError = faultEvent;
    }


}
}
